package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.enums.DocTypeEnum;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author nianchang
 * @date 2024/01/29 11:55 下午
 */
public class RefundIndex {


    private Long docId;

    private Integer goodsOrderSource;

    public Integer getGoodsOrderSource() {
        return goodsOrderSource;
    }

    public void setGoodsOrderSource(Integer goodsOrderSource) {
        this.goodsOrderSource = goodsOrderSource;
    }

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 退款单号
     */
    private String refundNo;

    /**
     * 订单退款方式
     */
    private Integer refundWay;

    /**
     * 退款级别
     */
    private Integer refundLevel;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 来源
     */
    private Integer source;

    /**
     * 来源单号
     */
    private String sourceNo;

    /**
     * 退款类型
     */
    private Integer refundType;





    /**
     * 申请时间
     */
    private Date applyAt;

    /**
     * 下单时间
     */
    private Date orderAt;

    /**
     * 退款状态
     */
    private Integer status;

    /**
     * 是否独立收款
     */
    private Integer isAlone;


    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    /**
     * 删除标识
     */
    private Integer isDeleted;


    /**
     * 订单子类型
     */
    private Integer orderSubType;

    /**
     * 买家手机号
     */
    private String mobile;

    /**
     * 来源系统
     */
    private Integer fromSystem;

    /**
     * 处理时间
     */
    private Date dealAt;

    /**
     * 支付类型
     */
    private Integer payType;

    /**
     * 复查状态
     */
    private Integer reviewStatus;


    /**
     * 履约类型
     */
    private Integer performanceType;

    public Long getDocId() {
        return docId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public String getMobile() {
        return mobile;
    }

    public Integer getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(Integer reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public Integer getPerformanceType() {
        return performanceType;
    }

    public void setPerformanceType(Integer performanceType) {
        this.performanceType = performanceType;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getOrderSubType() {
        return orderSubType;
    }

    public void setOrderSubType(Integer orderSubType) {
        this.orderSubType = orderSubType;
    }

    public Integer getRefundWay() {
        return refundWay;
    }

    public void setRefundWay(Integer refundWay) {
        this.refundWay = refundWay;
    }

    public Integer getFromSystem() {
        return fromSystem;
    }

    public void setFromSystem(Integer fromSystem) {
        this.fromSystem = fromSystem;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }


    public Date getDealAt() {
        return dealAt;
    }

    public void setDealAt(Date dealAt) {
        this.dealAt = dealAt;
    }

    /**
     * 封装状态对象
     *
     * @return
     */
    public Status status() {
        Status status = new Status();
        status.setBizType(this.bizType);
        status.setStatus(this.status);
        status.setDocType(DocTypeEnum.REFUND.getType());
        return status;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public Integer getRefundLevel() {
        return refundLevel;
    }

    public void setRefundLevel(Integer refundLevel) {
        this.refundLevel = refundLevel;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public Integer getRefundType() {
        return refundType;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }


    public Date getApplyAt() {
        return applyAt;
    }

    public void setApplyAt(Date applyAt) {
        this.applyAt = applyAt;
    }

    public Date getOrderAt() {
        return orderAt;
    }

    public void setOrderAt(Date orderAt) {
        this.orderAt = orderAt;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getIsAlone() {
        return isAlone;
    }

    public void setIsAlone(Integer isAlone) {
        this.isAlone = isAlone;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
